1. Herzlich willkommen bei WPDE.org, dem grössten und ältesten deutschsprachigen Community-Forum rund um das Thema WordPress. Du musst angemeldet oder registriert sein, um Beiträge verfassen zu können.
    Information ausblenden

Umstellung auf php 8.1 Hosteurope

Dieses Thema im Forum "Konfiguration" wurde erstellt von DERYK, 4. September 2022.

  1. DERYK

    DERYK New Member

    Registriert seit:
    6. Februar 2017
    Beiträge:
    3
    Zustimmungen:
    0
    Hallo zusammen,

    ich habe kürzlich die Info von meinem Provider erhalten, dass am 14.11.2022 auf php 8.1 umgestellt wird.
    Im KIS besteht die Möglichkeit, seine seine vorab auf php 8.1 Tauglichkeit zu überprüfen. Leider zeigt sich aber, dass meine Webseite, welche in jahrelanger, mühevoller Arbeit entstanden ist, dann nicht mehr funktionieren würde :(
    Natürlich habe ich in der Vergangenheit so mache plugins erworben um die Seite meinen Bedürfnissen anzupassen.
    Was kann ich machen, dass meine Seite auch nach dem 14.11.2022 weiterhin erreichbar ist??

    Vielen Danke für Eure Hilfe ...
     
  2. threadi

    threadi Well-Known Member

    Registriert seit:
    9. Oktober 2020
    Beiträge:
    1.013
    Zustimmungen:
    202
    Aktualisiere alle Komponenten von Wordpress und auch Wordpress selbst. Seit Wordpress 6.0 ist zumindest der Wordpress-Core einigermaßen gut mit PHP 8.0 kompatibel. Mit PHP 8.1 eher nicht. Deine Themes und Plugins müssen natürlich ebenfalls damit kompatibel sein, daher sind aktuelle Versionen aller Plugins und des eingesetzten Themes wichtig. Wenn ein Plugin ein Problem mit PHP 8.0 bereitet, entferne es und suche ggfs. einen Ersatz. Bei Problemen mit einem davon (auch dem Theme ggfs.) wende dich an dessen Entwickler.

    Und nochmal als Hinweis: auf PHP 8.1 würde ich Stand heute verzichten. Kann sich bis November natürlich nochmal ändern nach einem neuen Wordpress-Release ;)
     
  3. JABA-Hosting

    JABA-Hosting Well-Known Member

    Registriert seit:
    29. März 2016
    Beiträge:
    2.833
    Zustimmungen:
    170
    Du kannst keine PHP Version frei wählen?

    Hoster wechseln, der Dir mehr PHP Versionen anbietet.
     
    meisterleise gefällt das.
  4. b3317133

    b3317133 Well-Known Member

    Registriert seit:
    21. November 2014
    Beiträge:
    10.237
    Zustimmungen:
    1.402
    @DERYK Vielleicht nochmal die E-Mail oder auch den Website Deines Hosters lesen:
    Am 14.11.2022 endet bei Deinem Hoster der PHP 7.4 Support, Du kannst jederzeit im Backend des Hostings auf PHP 8.0 (Support bis Ende 2023) oder 8.1 (Support bis Ende 2024) umstellen.

    Für Deinen Website bedeutet das, dass Du bis Mitte November Zeit hast, Dich darum zu kümmern, ob Dein Theme und ob/welche der Plugins mit PHP 8.x kompatibel sind und bei den jeweiligen Autoren anzufragen, ob es Anpassungen dafür gibt, falls das noch nicht der Fall sein sollte, oder Du Dir ggf. Alternativen suchst. Falls Eigenprogrammierungen vorhanden sind, die Probleme mit PHP 8.x verursachen, kann Dir sicherlich jemand mit grundlegenden PHP Kenntnissen das in unter einer halben Stunde anpassen, meist sind es erfahrungsgemäss letztlich nur minimale Änderungen in wenigen Minuten.
     
  5. r23

    r23 Well-Known Member

    Registriert seit:
    9. Dezember 2006
    Beiträge:
    6.090
    Zustimmungen:
    350
    Im November läuft der aktive Support für PHP 8.0 aus und ist damit sinnvoll.
    https://www.php.net/supported-versions.php

    Über das Jobforum kannst du Oktober einen Entwickler:in suchen, die die Migration für dich durchführt.

    Mit der aktuellen WordPress 6.0.2 Version dürftest du keine Probleme haben. Plugin und dein Theme könnten Probleme bereiten.

    Für die Migration von 8.0 auf 8.1 stellt das PHP Handbuch Informationen zur Verfügung
    Migration von PHP 8.0.x auf PHP 8.1.x

    Gute PHP Editoren können dir bei der Migration auch helfen.
     
  6. meisterleise

    meisterleise Well-Known Member

    Registriert seit:
    18. Januar 2012
    Beiträge:
    920
    Zustimmungen:
    190
    So ein Hoster wird dich mit jeder neuen PHP Version erneut unter Stress setzen. Würde ich mir nicht antun und einfach den Hoster wechseln.
     
  7. r23

    r23 Well-Known Member

    Registriert seit:
    9. Dezember 2006
    Beiträge:
    6.090
    Zustimmungen:
    350
    genau, was soll der Stress mit der Wartung und dem Fortschritt.

    Besonders lustig wird es, wenn dein WordPress Schadcode verteilt und du der Datenschutzbehörde erklären musst, welche Technik du verwendest. Deine Entscheidung, veraltete Technik zu verwenden - hat sicherlich positive Auswirkungen auf den Bußgeldbescheid.
    sag Bescheid!
     
  8. meisterleise

    meisterleise Well-Known Member

    Registriert seit:
    18. Januar 2012
    Beiträge:
    920
    Zustimmungen:
    190
    Gääähn. Typische Rhetorik, um andere Ansichten durch Drohung und Angst machen im Keim ersticken zu wollen. r23 sollte Politiker werden. Bei Lauterbach ist bestimmt noch ein Praktikantenplatz frei.
     
  1. Diese Seite verwendet Cookies, um Inhalte zu personalisieren, diese deiner Erfahrung anzupassen und dich nach der Registrierung angemeldet zu halten.
    Wenn du dich weiterhin auf dieser Seite aufhältst, akzeptierst du unseren Einsatz von Cookies.
    Information ausblenden
  1. Diese Seite verwendet Cookies, um Inhalte zu personalisieren, diese deiner Erfahrung anzupassen und dich nach der Registrierung angemeldet zu halten.
    Wenn du dich weiterhin auf dieser Seite aufhältst, akzeptierst du unseren Einsatz von Cookies.
    Information ausblenden